# TSSSomp 1.2.1

* Changed package name from **TSSS.OMP** to **TSSSomp** to avoid error output in init.c:

 void attribute_visible R_init_TSSS.OMP(DllInfo *dll)

                                   ^
* Removed C wrapper functions and registered entry points for the routines accessed by the `.Fortran` interface to call Fortran subroutines.

* Added a ‘`NEWS.md`’ file.


# TSSS.OMP 1.2.0

* Changed package name from **tvvarOMP** to **TSSS.OMP**.

* Added `pfilterOmp()` (Particle Filtering and Smoothing) and `pfilterNLOmp()`
 (Particle Filtering and Nonlinear Smoothing) functions.

* S3 methods for `tvvar`, and `pfilter` classes are imported from the **TSSS** package.


# tvvarOMP 1.1.2

* Modified examples in the `tvarOmp` manual page.

* Modified the function `plot.tvvar()`.


# tvvarOMP 1.1.1

* Fixed Fortran code according to the warning message when using gfortran with `-Wall -pedantic`.

* Removed `setOmpNumThreads` function.
 Used the `OMP_NUM_THREADS` environment variable to specify the number of
 processors.

* Modified ‘`tvvarOMP/src/Makevars`’ file and removed ‘`tvvarOMP/src/Makevars.win`’.

* Changed to use the `warning()` function instead of the `cat()` function to print warning messages.

* Added ‘`src/init.c`’.


# tvvarOMP 1.1.0

* Changed function names from `setNumOmpThreads` to `setOmpNumThreads`, from `tvar_p` to `tvarOmp` and from `tvvar_p` to `tvvarOmp`.

* Changed value name from `tau2max` to `tau2` in `tvarOmp()`.

* Modified the description of the source field in MYE1F.

* Modified ‘`tvvarOMP/src/Makevars`’ file.


# tvvarOMP 1.0.1

* Corrected ‘`inst/doc/index.html`’ according to the error message from the W3C Markup Validator Service.



